Summary:	Bitstream Vera TrueType fonts fork with additional characters
Summary(pl.UTF-8):	Odłam fontów TrueType Bitstream Vera z dodanymi znakami
Name:		fonts-TTF-DejaVu
Version:	2.37
Release:	1
License:	distributable
Group:		Fonts
Source0:	http://downloads.sourceforge.net/dejavu/dejavu-fonts-ttf-%{version}.tar.bz2
# Source0-md5:	d0efec10b9f110a32e9b8f796e21782c
URL:		http://dejavu.sourceforge.net/wiki/index.php/Main_Page
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/TTF
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ttffontsdir	%{_fontsdir}/TTF

%description
DejaVu is a set of fonts based on Bitstream Vera fonts which have
additional characters from a variety of scripts.

%description -l pl.UTF-8
DejaVu to zestaw fontów oparty na Bitstream Vera z dodanymi znakami
wielu alfabetów.

%prep
%setup -q -n dejavu-fonts-ttf-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_ttffontsdir},%{_datadir}/fontconfig/conf.avail,/etc/fonts/conf.d}

install ttf/*.ttf $RPM_BUILD_ROOT%{_ttffontsdir}

cd fontconfig
for fontconf in *conf ; do
	install -m 0644 -p $fontconf $RPM_BUILD_ROOT%{_datadir}/fontconfig/conf.avail
	ln -s %{_datadir}/fontconfig/conf.avail/$fontconf \
		$RPM_BUILD_ROOT/etc/fonts/conf.d/$fontconf
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst TTF

%postun
fontpostinst TTF

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS LICENSE NEWS README.md
%{_ttffontsdir}/DejaVu*.ttf
%{_datadir}/fontconfig/conf.avail/20-unhint-small-dejavu-*.conf
%{_datadir}/fontconfig/conf.avail/57-dejavu-*.conf
/etc/fonts/conf.d/20-unhint-small-dejavu-*.conf
/etc/fonts/conf.d/57-dejavu-*.conf
%changelog
* Wed Apr 05 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/fonts-TTF-DejaVu.git;a=log;h=master

* Mon Aug 29 2016 Jakub Bogusz <qboosh@pld-linux.org> e20db48
- updated to 2.37

* Sun May 24 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a43ea88
- up to 2.35

* Fri Sep 06 2013 Jakub Bogusz <qboosh@pld-linux.org> c9d8957
- grepable files

* Tue Sep 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ebee631
- up to 2.34; use fontconfig configuration files

* Sat Oct 06 2012 Elan Ruusamäe <glen@delfi.ee> be8b5c4
- release 2 (by relup.sh)

* Sat Mar 05 2011 Caleb Maclennan <caleb@alerque.com> c4e2163
- Up to 2.33

* Tue Aug 24 2010 Kacper Kornet <draenog@pld-linux.org> 8790d9a
- 2.32
- adapterized

* Sat May 29 2010 arvenil <arvenil@pld-linux.org> 1767843
- up to 2.31

* Sun Oct 11 2009 Artur Frysiak <artur@frysiak.net> f7f5a72
- 2.30

* Tue Aug 25 2009 Kacper Kornet <draenog@pld-linux.org> bc59f2d
- up to 2.29

* Sun Feb 22 2009 arvenil <arvenil@pld-linux.org> ac7dd9a
- up to 2.28

* Fri Aug 22 2008 Kacper Kornet <draenog@pld-linux.org> a91e1eb
- up to 2.26

* Tue May 20 2008 qrczak <qrczak@pld-linux.org> 77c04b2
- 2.25

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 282339b
- s/True Type/TrueType/

* Sat Feb 16 2008 qrczak <qrczak@pld-linux.org> 8c03f8d
- 2.23

* Sun Dec 16 2007 Jakub Bogusz <qboosh@pld-linux.org> f4f8755
- dropped _name macro (no benefits)

* Sun Dec 16 2007 qrczak <qrczak@pld-linux.org> 0ca7441
- 2.22

* Sun Oct 28 2007 qrczak <qrczak@pld-linux.org> f8abeb0
- 2.21

* Sun Sep 16 2007 vip <vip@pld-linux.org> be3dc7f
- up to 2.20

* Tue Aug 07 2007 aredridel <aredridel@pld-linux.org> cad8478
- 2.19

